MorphLibJ Java error

I am trying to use MorphLibJ for an image I have and when I run any of the functions I get the following message:

ImageJ 1.50i; Java 1.6.0_24 [64-bit]; Windows NT (unknown) 6.2; 4657K of 24470MB (<1%)

java.lang.UnsupportedClassVersionError: inra/ijpb/plugins/LabelingPlugin : Unsupported major.minor version 52.0

This plugin requires Java 1.8 or later.

Now I have checked my java version and it is currently up to date. I am not really sure what to do or where to start so any help is much appreciated

You probably checked your system Java, which is not the same as the Java bundled with your ImageJ or Fiji installation. As you see from the error message, ImageJ reports Java version 1.6.0_24:

In order to run on Java 8, simply rename the java folder in your Fiji.app\ folder to something like java6 (or delete it entirely). Then ImageJ will pick up the system Java. See also the FAQ section on the wiki.

2 Likes